Skip to main content
Jump to: navigation, search

Difference between revisions of "Install and run the snapshot build"

(Pre-requisites SOA runtime)
(Setup pre-requisites)
Line 13: Line 13:
  
 
== Setup pre-requisites ==
 
== Setup pre-requisites ==
* Eclipse 3.3 M6
+
* Eclipse 3.3 M7
 
=== Pre-requisites plugins ===
 
=== Pre-requisites plugins ===
 
==== Plugins from other Eclipse projects ====
 
==== Plugins from other Eclipse projects ====
  *dtp_1.0M3
+
  *dtp-sdk_1.5RC0
  *emf-sdk-xsd-SDK2.3.0M6
+
  *emf-sdo-xsd-SDK-2.3.0M7
  *emft-query-SDK-1.1M5
+
  *emf-query-SDK-1.1M7
  *emft-transaction-SDK-1.1M5
+
  *emf-transaction-SDK-1.1M7
  *emft-validation-SDK-1.1M5
+
  *emf-validation-SDK-1.1M7
  *GMF-sdk-1.0.3
+
  *GMF-sdk-2.0M6a
  *JEM-SDK-1.2
+
  *JEM-SDK-1.2.3_jem
  *mtd-ocl-SDK-1.1M5
+
  *mdt-ocl-SDK-1.1M7
  *wtp-sdk-S-2.0M5
+
  *wtp-sdk-S-2.0RC0-200705171455
  *GEF-SDK-3.3M6
+
  *GEF-ALL-3.3M7
 +
*orbit-S200705021947
  
 
==== 3rd-party plugins ====
 
==== 3rd-party plugins ====
(Updated 04/25, link the cxf plugin to eclipse stp site for temp use, since that plugin from apache site has problem, will change back once they fixed)
 
 
*Apache CXF plugin for JAX-WS development:  
 
*Apache CXF plugin for JAX-WS development:  
http://people.apache.org/repo/m2-snapshot-repository/org/apache/cxf/cxf-eclipse3.1-plugin/2.0-incubator-SNAPSHOT/cxf-eclipse3.1-plugin-2.0-incubator-20070514.151813-7.zip
+
http://people.apache.org/repo/m2-snapshot-repository/org/apache/cxf/cxf-eclipse3.1-plugin/2.0-incubator-SNAPSHOT/cxf-eclipse3.1-plugin-2.0-incubator-20070517.004143-7.zip
  
  

Revision as of 02:47, 28 May 2007

This wiki page is used to explain how to install and use the latest snapshot with Eclipse3.3. Since the current 0.4.0 S-build (http://www.eclipse.org/stp/downloads/downloads.php) has some major problems, we suggest to use the snapshot build instead.

For user's convenience, i created a all-in-one package to download.


(Last updated on Apr 16, 2007)

Where to get stp build

  • STP snapshot from cvs

Setup pre-requisites

  • Eclipse 3.3 M7

Pre-requisites plugins

Plugins from other Eclipse projects

*dtp-sdk_1.5RC0
*emf-sdo-xsd-SDK-2.3.0M7
*emf-query-SDK-1.1M7
*emf-transaction-SDK-1.1M7
*emf-validation-SDK-1.1M7
*GMF-sdk-2.0M6a
*JEM-SDK-1.2.3_jem
*mdt-ocl-SDK-1.1M7
*wtp-sdk-S-2.0RC0-200705171455
*GEF-ALL-3.3M7
*orbit-S200705021947

3rd-party plugins

  • Apache CXF plugin for JAX-WS development:

http://people.apache.org/repo/m2-snapshot-repository/org/apache/cxf/cxf-eclipse3.1-plugin/2.0-incubator-SNAPSHOT/cxf-eclipse3.1-plugin-2.0-incubator-20070517.004143-7.zip


  • Apache Tuscany plugin for SCA development:

http://www.eclipse.org/stp/sc/plugins/tuscany-eclipse-plugin-1.0-incubator-M2.zip

Pre-requisites SOA runtime

Run it

Tyler Anderson wrote a good article about Use the Eclipse SOA Tools Platform plug-in to build and deploy a Web service

Eclipse 3.3 runtime

If you are using Eclipse 3.3, please read Eclisep 3.3 runtime options for STP.SC

About the update sites

We are still working on those update sites:

  • Eclipse STP update site, coming soon...
  • Apache CXF update site, coming soon...
  • Apache Tuscany update site. ?

Back to the top